*MapSan Main effect analysis
*Triphase database
*Jackie Knee
*Stata 16
*CONSORT basics

import excel "C:\Users\lshjk5.ADS\OneDrive - London School of Hygiene and Tropical Medicine\Georgia Tech One Drive\MapSan EL data\data analysis\stata\exported data\Figure 1 source data 1.xlsx", firstrow clear 


** Total Enrollment at Baseline ************************************************
codebook totchildID if phase_ml==0 & studyArm_b==0 /*Control kids @ BL */
codebook totchildID if phase_ml==0 & studyArm_b==1/*Intervention kids @ BL */
codebook totchildID if phase_ml==0 & (!missing(gpp_aden) | !missing(Kkany)) /*Stools @ BL */
codebook totchildID if phase_ml==0 & studyArm_b==0 & (!missing(gpp_aden) | !missing(Kkany)) /*Control Stools @ BL */
codebook totchildID if phase_ml==0 & studyArm_b==1 & (!missing(gpp_aden) | !missing(Kkany)) /*Interv. Stools @ BL */
codebook compID if phase_ml==0 & studyArm_b==0 /*Control comps @ BL */
codebook compID if phase_ml==0 & studyArm_b==1 /*Inter comps @ BL */
codebook totHHid if phase_ml==0 & studyArm_b==0 /*Control comps @ BL */
codebook totHHid if phase_ml==0 & studyArm_b==1 /*Inter comps @ BL */

** Total Enrollment/visitation at 12-month *************************************
codebook totchildID if phase_ml==1 & studyArm_b==0 /*Control kids @ 12M */
codebook totchildID if phase_ml==1 & studyArm_b==1/*Intervention kids @ 12M */
codebook totchildID if phase_ml==1 & (!missing(gpp_aden) | !missing(Kkany)) /*Stools @ 12M */
codebook totchildID if phase_ml==1 & studyArm_b==0 & (!missing(gpp_aden) | !missing(Kkany)) /*Stools @ 12M */
codebook totchildID if phase_ml==1 & studyArm_b==1 & (!missing(gpp_aden) | !missing(Kkany)) /*Stools @ 12M */
codebook compID if phase_ml==1 & studyArm_b==0 /*Control comps @ 12M */
codebook compID if phase_ml==1 & studyArm_b==1 /*Inter comps @ 12M */
codebook totHHid if phase_ml==1 & studyArm_b==0 /*Control comps @ BL */
codebook totHHid if phase_ml==1 & studyArm_b==1 /*Inter comps @ BL */

* New enrollees at 12-month
codebook totchildID if phase_ml==1 & studyArm_b==0  & inBL==0 /*Total new control enrollees at 12-month */
codebook totchildID if phase_ml==1 & studyArm_b==1 & inBL==0 /*Total new intervention enrollees at 12-month */
codebook totchildID if phase_ml==1 & studyArm_b==0 & bornIn==1 /* Controls born in by 12-month */
codebook totchildID if phase_ml==1 & studyArm_b==1 & bornIn==1 /* Interventions born in by 12-month */
codebook totchildID if phase_ml==1 & studyArm_b==0 & movedIn==1 /* Controls moved in by 12-month */
codebook totchildID if phase_ml==1 & studyArm_b==1 & movedIn==1 /* Interventions moved in by 12-month */
codebook totchildID if phase_ml==1 & studyArm_b==0 & inBL==0 & movedIn==0 & bornIn==0 /* Controls moved in by 12-month, 1 refused BL enrollment */
codebook totchildID if phase_ml==1 & studyArm_b==1  & inBL==0 & movedIn==0 & bornIn==0 /* Interventions moved in by 12-month */


*Children unavailable at 12-month
codebook totchildID if studyArm_b==0  & inBL==1 & inML==0 /* Controls available at BL but unavailable at 12-month */
codebook totchildID if studyArm_b==1 & inBL==1 & inML==0 /* Intervention available at BL but unavailable at 12-month */

** Total Enrollment/visitation at 24-month *************************************
codebook totchildID if phase_m24==1 & studyArm_b==0 /*Control kids @ 24M */
codebook totchildID if phase_m24==1 & studyArm_b==1/*Intervention kids @ 24M */
codebook totchildID if phase_m24==1 & (!missing(gpp_aden) | !missing(Kkany)) /*Stools @ 24M */
codebook totchildID if phase_m24==1 & studyArm_b==0 & (!missing(gpp_aden) | !missing(Kkany)) /*Stools @ 24M */
codebook totchildID if phase_m24==1 & studyArm_b==1 & (!missing(gpp_aden) | !missing(Kkany)) /*Stools @ 24M */
codebook compID if phase_m24==1 & studyArm_b==0 /*Control comps @ 24M */
codebook compID if phase_m24==1 & studyArm_b==1 /*Inter comps @ 24M */
codebook totHHid if phase_m24==1 & studyArm_b==0 /*Control comps @ BL */
codebook totHHid if phase_m24==1 & studyArm_b==1 /*Inter comps @ BL */

* New enrollees at 24-month
codebook totchildID if phase_m24==1 & studyArm_b==0  & inBL==0 & inML==0 /*Total new control enrollees at 24-month */
codebook totchildID if phase_m24==1 & studyArm_b==1 & inBL==0 & inML==0 /*Total new intervention enrollees at 24-month */
codebook totchildID if phase_m24==1 & studyArm_b==0 & bornIn==1 & inML==0 /* Controls born in by 24-month */
codebook totchildID if phase_m24==1 & studyArm_b==1 & bornIn==1 & inML==0 /* Interventions born in by 24-month */
codebook totchildID if phase_m24==1 & studyArm_b==0 & movedIn==1 & inML==0 /* Controls moved in by 24-month */
codebook totchildID if phase_m24==1 & studyArm_b==1 & movedIn==1 & inML==0 /* Interventions moved in by 24-month */
codebook totchildID if phase_m24==1 & studyArm_b==1 & inBL==0 & inML==0 & bornIn==0 & movedIn==0 /*Conrols enrolled at 24-month and traveling at previous visits */
codebook totchildID if phase_m24==1 & studyArm_b==0 & inBL==0 & inML==0 & bornIn==0 & movedIn==0 /*Interventions enrolled at 24-month and traveling at previous visits */
codebook totchildID if phase_m24==1 & studyArm_b==0  & inBL==1 & inML==0 /* Controls enrolled at BL, unavailable at 12-month and available at 24-month */
codebook totchildID if phase_m24==1 & studyArm_b==1 & inBL==1 & inML==0 /* Interventions enrolled at BL, unavailable at 12-month and available at 24-month */

*Children unavailable at 24-month
codebook totchildID if studyArm_b==0  & inML==1 & inM24==0 /* Controls available at 12-month but unavailable at 24-month */
codebook totchildID if studyArm_b==1 & inML==1 & inM24==0 /* Interventions available at 12-month but unavailable at 24-month */

